Bug 1868772 - Error message for whereabouts IPAM CNI is not descriptive when kubeconfig is specified and path is wrong
Summary: Error message for whereabouts IPAM CNI is not descriptive when kubeconfig is ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Douglas Smith
QA Contact: Weibin Liang
URL:
Whiteboard:
Depends On: 1868771
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-13 19:09 UTC by Douglas Smith
Modified: 2020-09-30 14:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1868771
Environment:
Last Closed: 2020-09-30 14:06:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift whereabouts-cni pull 26 0 None closed Bug 1868772: [backport 4.5] Change error message (for missing kubeconfig) 2021-02-17 21:59:04 UTC
Red Hat Product Errata RHBA-2020:3760 0 None None None 2020-09-30 14:06:40 UTC

Description Douglas Smith 2020-08-13 19:09:18 UTC
+++ This bug was initially created as a clone of Bug #1868771 +++

It was reported that a user specified the "kubeconfig" (which is not required in OpenShift) option for whereabouts, using upstream instructions, and the error message was not informative.

The error message as reported:


```
  Multus: [some-component/something-0]: error adding container to network "something-0": delegateAdd: error invoking confAdd - "macvlan": error in getting result from AddNetwork: Error assigning IP: Unauthorized
```

The phrasing "unauthorized" doesn't produce any actionable output for the user.


To verify this bug, create a net-attach-def for whereabouts, and add the "kubeconfig" parameter and specify any invalid filepath.

Comment 7 Weibin Liang 2020-09-23 14:14:58 UTC
Tested and verified in 4.5.0-0.nightly-2020-09-20-185910

Warning  FailedCreatePodSandBox  6s         kubelet, weliang-32-4s4dv-compute-1  Failed to create pod sandbox: rpc error: code = Unknown desc = failed to create pod network sandbox k8s_whereabouts-pod-1_test_3500ba57-3328-46c1-9ecb-f5f6f703c2ab_0(b17ddb41c33f5c3310a03eea98d7cbc77d975d9e61a54512354a600230033587): Multus: [test/whereabouts-pod-1]: error adding container to network "whereabouts": delegateAdd: error invoking confAdd - "macvlan": error in getting result from AddNetwork: Error at storage engine: IPAM kubernetes client initialization error: stat /invalid/path: no such file or directory

Comment 9 errata-xmlrpc 2020-09-30 14:06:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.13 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3760


Note You need to log in before you can comment on or make changes to this bug.